Package org.apache.ignite.internal

## Interface PlatformSecurityAwareJob

All Known Subinterfaces:
  `PlatformJob`

All Known Implementing Classes:
  `PlatformAbstractFunc`, `PlatformAbstractJob`, `PlatformCallable`, `PlatformClosureJob`, `PlatformFullJob`, `PlatformRunnable`

    public interface PlatformSecurityAwareJob

Represents the base interface for all Platform Compute Jobs that wrap and execute user code. The execution and cancellation of tasks marked with this interface will be preceded by authorization with the specified name and `SecurityPermission.TASK_EXECUTE` / `SecurityPermission.TASK_CANCEL` permission.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `name()`

### Method Detail

#### name

    String name()

Returns:
  The name of the Platform Compute Job that will be used when authorizing its start and cancellation.